package PBS::rm;
require Exporter;
require DynaLoader;
use PBS qw/:rm/;
@ISA = qw(Exporter DynaLoader PBS);

@EXPORT = qw( );

%EXPORT_TAGS = (
all	=> [qw[openrm closerm downrm configrm addreq allreq 
               getreq flushreq activereq fullresp]],
);

@EXPORT_OK=@{$EXPORT_TAGS{all}};

1;

__END__

=head1 NAME

PBS::rm - Perl extension for PBS's Resource Manager

=head1 SYNOPSIS

  use PBS::rm;

  $con=openrm("nodename",$PBS::PBS_MANAGER_SERVICE_PORT);
  addreq($con, "loadave");
  print getreq($con);


=head1 ABSTRACT

Perl wrapper extension for PBS's Resource Manager (as from OpenPBS or Torque).  This
allows you to retrieve various info about your nodes, configure the RM, etc.
from Perl. 

=head1 DESCRIPTION

Perl wrapper extension for PBS's Resource Manager.  The API is exactly the same
as the original C API.  See the dumpmom script in the demos directory.


=head2 EXPORT

None by default.

Exportable tags include: openrm closerm downrm configrm addreq allreq etreq
flushreq activereq fullresp.

=head1 SEE ALSO

The B<dumpmom> script in the demos directory.  The PBS ERS.

=head1 AUTHOR

Garrick Staples, E<lt>garrick@usc.eduE<gt>

=head1 COPYRIGHT AND LICENSE

Copyright 2004, 2005 by Garrick Staples

This library is free software; you can redistribute it and/or modify
it under the same terms as Perl itself. 

=cut
